/*
 * File : phInactive.h
 *
 * Description : This file contains the class declaration for
 *	the phInactive class.
 */

#ifndef _phInactive_h_
#define _phInactive_h_

#include "phStateMachine.h"

/*
 * Class : phInactive
 *
 * Description : This class is a subclass of the phStateMachine
 *	class, and provides functionality to handle events when
 *	the phlayer is in the Inactive state.
 */

class phInactive : public phStateMachine {
 public:
	phInactive(phlayer *ph) : phStateMachine(ph) {};
	virtual ~phInactive() {};

	virtual phStateMachine *PhActivateReq(int &errorCode);
	virtual phStateMachine *PhDataReq(int &errorCode)
		{ errorCode = codeGeneralFailure; return this; }

	virtual phStateMachine *PhActivate(int &errorCode);
	virtual phStateMachine *PhData(int &errorCode)
		{ errorCode = codeGeneralFailure; return this; }
	virtual void PrintState();
};

#endif
